<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number87</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.87:</b> Write a JavaScript program to check whether two arrays of integers of same length are similar or not. The arrays will be similar if one array can be obtained from another array by swapping at most one pair of elements. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
		<input type="number" id="num1" placeholder="Number1" style=" margin-top: 5px;"><br>
		<input type="number" id="num2" placeholder="Number2" style=" margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate () {
		  var num1 = + document.getElementById('num1').value;
		  var num2 = + document.getElementById('num2').value;
		  var arr1 = [];
		  var arr2 = [];
		  if (num1==num2 && num1>0){
			  for (i=0 ; i<num1 ; i++) {
				  arr1.push(prompt("Enter Elements Of First Array #" +(i+1)));
				  arr1.map(Number);
				  arr2.push(prompt("Enter Elements Of Seccond Array #" + (i+1)));
				  arr2.map(Number);
			  
				  
				  if (arr1[i] == arr2[i]) {
					  document.getElementById('demo').innerHTML=
						  "The Arrays You Entered are Similar and They`re: <br>" +
						  "Array1: [ " + arr1.join(' , ') + " ]<br>" +
						  "Array2: [ " + arr2.join(' , ') + " ] <br>" ;
				  } else {
					  document.getElementById('demo').innerHTML=
						  "!! The Arrays You Entered are NOT Similar and They`re: <br>" +
						  "Array1: [ " + arr1.join(' , ') + " ]<br>" +
						  "Array2: [ " + arr2.join(' , ') + " ] <br>" ;
				  }  
			  }
			  }	  
		   else {
			  document.getElementById('demo').innerHTML=
						  "!! Arrays dont have same length so that they cant be compared !!";
		  }
	  }
	</script>
	
</body>
</html>
